NI-PROFIBUS for cRIO 2.0.7 - Windows 10/8.1/7 0 Ratings | 0.00 out of 5 |   Print

Available Downloads:

Updates and Notifications:
Critical Updates and Security Notifications are posted on ni.com. Before downloading, click here to review this information.
Supporting Files:

Download Language: English; German

Product Line: Profibus

Version: 2.0.7

Release date: 05-09-2017

Software type: Driver

Operating system: Windows 10; Windows 8.1; Windows 7

Description

The NI-Profibus driver is for use with the Comsoft / Kunbus cRIO PROFIBUS C-Series modules. The driver installs PROFIBUS Master and Slave support for LabVIEW 2013 through LabVIEW 2016 and brings Configurator III to setup the Profibus Master module (PBMS).

This is the first version of the driver that bears the "Kunbus" branding, overwriting the previous "Comsoft" branding. For more information about this rebranding, see KB 7KCAKLHI.

Features

  • Supports the C-Series Master/slave and Slave modules for PROFIBUS industrial networks
  • Includes graphical Configurator III software
  • Supported PROFIBUS DP protocols: DPV0 Master Class 1/2, DPV0 Slave, DPV1 Master Class 2
  • LabVIEW and LabVIEW Real-Time 2016 support
  • New: FPGA-only example
  • Kunbus branding

Installation Instructions

Download and extract the cRIO_PB_2.0.7.zip file. The zip file contains the installation files necessary for installing the Profibus hardware driver and documentation. Once extracted, double click Setup.exe to get started. After the installation completes, you may delete the installation image to recover disk space. You should not delete the installation image if you wish to be able to modify or repair the installation in the future.

Upgrading: You will first be prompted by Setup.exe to uninstall the previous version. After this is complete, restart your computer and run Setup.exe again to install the new version.

Note: A break in API was made from the 1.3 version of the driver to the 2.0.1 version. The 2.0.1 version is built on the MDK 2.0 tookit and offers a far better user experience. However, users with pre-existing code will need to re-write it to use the new API.

More Information

Your Feedback

Rate this document

Answered Your Question?
Yes No

Submit